//------------------------------------------------------------
//
//------------------------------------------------------------
#property indicator_separate_window
#property indicator_buffers 1
#property indicator_color1  LimeGreen
#property indicator_width1  2

extern string Symbol1 = "";
extern string Symbol2 = "";

double value[];
string indicatorFileName;
bool   returnBars;

//------------------------------------------------------------
//
//------------------------------------------------------------
//
//
//
//
//

int init()
{
   IndicatorDigits(6);
   SetIndexBuffer(0,value);
      if (Symbol1 =="") Symbol1=Symbol();
      if (Symbol2 =="") Symbol2=Symbol();
         indicatorFileName = WindowExpertName();
         returnBars        = (Symbol1=="returnBars"); if (returnBars) return(0);
      IndicatorShortName(Symbol1+" to "+Symbol2+" ratio");
   return(0); 
}
int deinit() { return(0); }

//------------------------------------------------------------
//
//------------------------------------------------------------
//
//
//
//
//

int start()
{
   int counted_bars=IndicatorCounted();
      if(counted_bars < 0) return(-1);
      if(counted_bars>0) counted_bars--;
         int limit = MathMin(Bars-counted_bars,Bars-1);
         if (returnBars) { value[0] = limit+1; return(0); }
         if (Symbol1!=Symbol()) limit = MathMax(limit,MathMin(Bars-1,iCustom(Symbol1,0,indicatorFileName,"returnBars",0,0)));
         if (Symbol2!=Symbol()) limit = MathMax(limit,MathMin(Bars-1,iCustom(Symbol2,0,indicatorFileName,"returnBars",0,0)));
                                limit = MathMin(limit,Bars-1);

   //
   //
   //
   //
   //

   for (int i=limit; i>=0; i--)
   {
      double s2 = iClose(Symbol2,0,iBarShift(Symbol2,0,Time[i]));
      if (s2!=0)
            value[i] = iClose(Symbol1,0,iBarShift(Symbol1,0,Time[i]))/s2;
      else  value[i] = value[i+1];
   }
   return(0);
}